# Update1099Form

Update a 1099/1095/W2/1042S form

`PUT /1099/forms/{id}`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** Forms 1099
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/Forms%201099/Update1099Form/

## Description

Update a 1099/1095/W2/1042S form.

**Date Update Rules:**

Possible to update scheduled dates (same validation rules apply).
Cannot change from scheduled to unscheduled status - must delete form and create new one.
If dates are between current date and blackout period, scheduled to that date.
If dates are in past or blackout period, scheduled to next available date.
For blackout period information, see https://www.track1099.com/info/IRS_info.
StateEfileDate must be on or after federalEfileDate.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes |  |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Content-Type:** `application/json`

**Content-Type:** `text/json`

**Content-Type:** `application/*+json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request | `ErrorResponse` |
| 401 | Unauthorized |  |
| 404 | Not Found | `ErrorResponse` |
| 500 | Server Error | `ErrorResponse` |

## Example Request

```bash
curl -X PUT "https://api.sbx.avalara.com/avalara1099/1099/forms/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```